Skip to navigation

Update a DNA sequence

Update a DNA sequence

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dna_sequence_idstringRequired

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Aliases to add to the DNA sequence
annotationslist of objectsOptional
Annotations to create on the DNA sequence.
authorIdslist of stringsOptional
IDs of users to set as the DNA sequence's authors.
basesstringOptional
Base pairs for the DNA sequence.
customFieldsmap from strings to objectsOptional
Custom fields to add to the DNA sequence. Every field should have its name as a key, mapping to an object with information about the value of the field.
entityRegistryIdstringOptional
fieldsmap from strings to objectsOptional
Fields to set on the DNA sequence. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder containing the DNA sequence.
isCircularbooleanOptional
Whether the DNA sequence is circular or linear.
namestringOptional
Name of the DNA sequence.
partslist of objectsOptional
primerslist of objectsOptional
schemaIdstringOptional
ID of the DNA sequence's schema.
translationslist of objectsOptional
Translations to create on the DNA sequence. Translations are specified by either a combination of 'start' and 'end' fields, or a list of regions. Both cannot be provided.

Response

OK
aliaseslist of stringsOptional
annotationslist of objectsOptional
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the DNA Sequence in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
basesstringOptional
createdAtdatetimeOptionalRead-only
creatorobjectOptional
customFieldsmap from strings to objectsOptional
dnaAlignmentIdslist of stringsOptional
API IDs of Nucleotide Alignments involving the RNA sequence
entityRegistryIdstring or nullOptional
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
idstringOptional
isCircularbooleanOptional
lengthintegerOptional
modifiedAtdatetimeOptionalRead-only
namestringOptional
partslist of objectsOptional
primerslist of objectsOptional
registrationOriginobject or nullOptional
registryIdstring or nullOptional
schemaobject or nullOptional
transcriptionslist of objectsOptional
translationslist of objectsOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-only

Errors

400
Bad Request Error